<template>
  <div>
    <div v-if="hasCoords(currentDive)">
      <label class="description-box-title">Pin Location</label>
      <div>
        <div class="description-box">
          <div class="description-content">
            <label class="desciption-content-title">Latitue:</label>
            <label class="description-content-value">{{ getLat }}</label>
          </div>
          <div class="description-content">
            <label class="desciption-content-title">Longitude:</label>
            <label class="description-content-value">{{ getLng }}</label>
          </div>
          <div class="description-content">
            <label class="desciption-content-title">Ort:</label>
            <label class="description-content-value">not implemented</label>
          </div>
        </div>
      </div>
    </div>
    <div>
      <label class="description-box-title">Tauchcomputer</label>
      <div>
        <div class="description-box">
          <div class="description-content">
            <label class="desciption-content-title">Hersteller:</label>
            <label class="description-content-value">{{
              this.currentDive.computer.vendor
            }}</label>
          </div>
          <div class="description-content">
            <label class="desciption-content-title">Version:</label>
            <label class="description-content-value">{{
              this.currentDive.computer.product
            }}</label>
          </div>
          <div class="description-content">
            <label class="desciption-content-title">Modell:</label>
            <label class="description-content-value">{{
              this.currentDive.computer.model
            }}</label>
          </div>
        </div>
      </div>
    </div>
    <div>
      <label class="description-box-title">Gasmix</label>
      <div>
        <div class="description-box">
          <div class="description-content">
            <label class="desciption-content-title">Oxygen:</label>
            <label class="description-content-value">{{
              this.$store.getters.getGasmix.oxygen + " %"
            }}</label>
          </div>
          <div class="description-content">
            <label class="desciption-content-title">Nitrogen:</label>
            <label class="description-content-value">{{
              this.$store.getters.getGasmix.nitrogen + " %"
            }}</label>
          </div>
          <div class="description-content">
            <label class="desciption-content-title">Helium:</label>
            <label class="description-content-value">{{
              this.$store.getters.getGasmix.helium + " %"
            }}</label>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "dataDescription",
  data() {
    return {
      groups: null,
    };
  },
  computed: {
    currentDive() {
      return this.$store.state.currentDive;
    },
    getLat() {
      return this.currentDive.googleMapsCoordinates.lat.toFixed(4);
    },
    getLng() {
      return this.currentDive.googleMapsCoordinates.lng.toFixed(4);
    },
  },
  methods: {
    hasCoords(currentDive) {
      if (currentDive == null) {
        return false;
      }
      return currentDive.googleMapsCoordinates != null;
    },
  },
};
</script>

<style scoped>
.description-box {
  padding: 10px;
  border: 2px solid;
  margin: 5px;
}
.description-box-title {
  position: relative;
  top: 17px;

  background-color: white;
  padding-right: 2px;
  padding-left: 2px;
  border: solid;
  border-width: thin;
}
.description-box {
  /* Parent for the label */
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  width: 90%;
}
.description-content {
  padding: 0 15px 0 5px;
}
.desciption-content-title {
  padding-right: 6px;
  font-weight: bold;
}
.desciption-content-value {
  padding-right: 5px;
}
</style>
